select RLN.RLN_ID
from REQUIREMENT_VERSION RV
		 join CUSTOM_FIELD_VALUE CFV on CFV.BOUND_ENTITY_ID = RV.RES_ID
		 join CUSTOM_FIELD_VALUE_OPTION CFVO on CFVO.CFV_ID = CFV.CFV_ID
		 join REQUIREMENT_LIBRARY_NODE RLN on RV.REQUIREMENT_ID = RLN.RLN_ID
where CFV.BOUND_ENTITY_TYPE = 'REQUIREMENT_VERSION'
  and CFVO.LABEL in (:tags)
  and CFV.FIELD_TYPE = 'TAG'
  and RLN.PROJECT_ID in (:projectIds)
